=== debian/changelog ===
node-highlightjs-macaulay2 (0.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #1125762).

 -- Doug Torrance <dtorrance@debian.org>  Sat, 17 Jan 2026 07:39:27 -0500
