=== debian/watch ===
version=4
https://github.com/d-torrance/highlightjs-macaulay2/tags \
.*/v@ANY_VERSION@@ARCHIVE_EXT@
